Update status

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-reference.lassomoderation.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lasso Moderation API MCP server": {
    "url": "https://api-reference.lassomoderation.com/mcp"
  }
}

Close
PUT /status

Update the status of content, users or subcategories. This endpoint should only be used if you have actions that change the object's status. Call this endpoint if you want to sync the status of the object(s) with Lasso.

IDs that don't exist in Lasso are silently ignored. Updating the status of content that already has a newer version returns a 400 error.

Default rate limit: 300 requests per minute.

application/json

Body

Send status updates in bulk by sending a list of IDs, or send a single ID in a list. Optionally, you can send the email of a moderator if you want to attribute the action to this moderator. Otherwise, it will by default attribute it to the API bot.

  • status string | null Required

    The status of an object

    Values are allowed, flagged, or hidden.

  • moderator_email string(email)
  • content_ids array[string]

    Maximum length of each is 100.

  • subcategory_ids array[string]

    Maximum length of each is 100.

  • user_ids array[string]

    Maximum length of each is 100.

  • temporary object

    Can be used when temporarily hiding/banning a user. To ban a user for 2 weeks, set ban_duration to 2 and the ban_duration_period to week. Only applied when setting users to hidden.

    Additional properties are NOT allowed.

    Hide temporary attributes Show temporary attributes object
    • ban_duration number
    • ban_duration_period string

      Values are hour, day, or week.

  • policy_id string

    The id of the policy that is used for the status change

  • category_id string

    Required when updating subcategories

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • success boolean Required
  • 400 application/json

    The request is invalid, see the error field for details

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 401 application/json

    The API token is missing or invalid

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 429 application/json

    The rate limit has been exceeded, check the X-RateLimit headers for limits

    Hide headers attributes Show headers attributes
    • X-RateLimit-Limit

      The rate limit interval in milliseconds

    • X-RateLimit-Remaining

      The number of requests remaining in the current interval

    • X-RateLimit-Reset

      The number of milliseconds until requests are allowed again

    Hide response attribute Show response attribute object
    • error string Required
PUT /status
curl \
 --request PUT 'https://api.lassomoderation.com/api/v1/status' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '"{\n  \"status\": \"hidden\",\n  \"moderator_email\": \"moderator@example.com\",\n  \"content_ids\": [\n    \"clemwm8ix0007sa8stctcndvj\"\n  ]\n}"'
Request examples
{
  "status": "hidden",
  "moderator_email": "moderator@example.com",
  "content_ids": [
    "clemwm8ix0007sa8stctcndvj"
  ]
}
{
  "status": "allowed",
  "user_ids": [
    "cleslnvoo0006ukjygou5r4r6"
  ],
  "content_ids": [
    "clf43i7hw00nusax3u298ucmu",
    "clf43i6v600ltsax3mjdko2r1"
  ]
}
{
  "status": "hidden",
  "user_ids": [
    "cleslnvoo0006ukjygou5r4r6"
  ],
  "policy_id": "harassment",
  "temporary": {
    "ban_duration": 2,
    "ban_duration_period": "week"
  }
}
Response examples (200)
{
  "success": true
}
Response examples (400)
{
  "success": false,
  "error": {
    "content_id": "Value can be at most 100 characters"
  }
}
Response examples (401)
{
  "success": false,
  "error": "Invalid API key"
}
Response examples (429)
{
  "error": "Too many requests, check headers for limits"
}